eoStochTournamentTruncate(3)

NAME
eoStochTournamentTruncate - a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

SYNOPSIS

#include <eoReduce.h>

Inherits eoReduce< EOT >< EOT >.

  Public Member Functions
eoStochTournamentTruncate (double _t_rate)
void operator() (eoPop< EOT > &_newgen, unsigned _newsize)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
double t_rate

Detailed Description

  template<class EOT> class eoStochTournamentTruncate< EOT >
a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. see eoSSGAStochTournamentReplacement)

Definition at line 236 of file eoReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.